Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005002TestLinkExport/Importpublic2012-05-04 08:442012-09-01 19:59
Reporterrl 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0005002: Exported test plan has multiple test case instances if test case has been executed two or more times
DescriptionNumber of "link" elements for a test case in an exported test plan is determined by the number of times that test case has been executed, although there is no execution related data in the exported test plan XML.
Steps To Reproduce1. Create two test cases.
2. Create a test plan and assign the two test cases to that plan.
3. Create a build.
4. Execute one of the tests n times by selecting a result and pressing "Save execution". Note, that n must be at least 2.
5. Export test plan from "Test Plan Management".
6. Open the exported linkedItems_<test plan>.xml file.

The exported XML has n identical "link" entries for the test case that has been executed n times.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserInternet Explorer 8.0
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filestxt file icon getLinkedStaticView.txt [^] (2,782 bytes) 2012-07-07 14:59 [Show Content]

- Relationships

-  Notes
(0016959)
fman (administrator)
2012-07-07 14:45

Please try this

1. edit your testplan.class.php
2. add inside testplan class (be carefull there are several classes inside this source), the function present on attached code (getLinkedStaticView.txt)

3. on testplan.class.php, search method exportLinkedItemsToXML()
replace :
$mm = $this->get_linked_tcversions($id,null,array('output' => 'array'));

with
$mm = $this->getLinkedStaticView($id,null,array('output' => 'array'));

Please provide feedback
(0016960)
fman (administrator)
2012-07-07 15:02

testlink 1.9.
http://gitorious.org/testlink-ga/testlink-code/commit/c59002699f99176578204516f860e98094c20989 [^]
http://gitorious.org/testlink-ga/testlink-code/commit/a78004a3a0a9393860e71f8897ddc94d07facdc2 [^]
(0017329)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-05-04 08:44 rl New Issue
2012-07-07 14:40 fman Assigned To => fman
2012-07-07 14:40 fman Status new => assigned
2012-07-07 14:45 fman Note Added: 0016959
2012-07-07 14:45 fman Status assigned => feedback
2012-07-07 14:48 fman Tag Attached: TO BE FIXED on 2.0
2012-07-07 14:59 fman File Added: getLinkedStaticView.txt
2012-07-07 15:02 fman Note Added: 0016960
2012-07-11 17:38 fman Status feedback => resolved
2012-07-11 17:38 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-07-11 17:38 fman Resolution open => fixed
2012-09-01 19:59 fman Note Added: 0017329
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker